PROBE::SOCKET.CREA(3stap)

NAME
probe::socket.create.return - Return from Creation of a socket

SYNOPSIS

socket.create.return

VALUES

protocol
    Protocol value

family
    Protocol family value

type
    Socket type value

requester
    Requested by user process or the kernel (1 = kernel, 0 = user)

success
    Was socket creation successful? (1 = yes, 0 = no)

err
    Error code if success == 0

name
    Name of this probe

CONTEXT

The requester (user process or kernel)

DESCRIPTION

Fires at the conclusion of creating a socket.

SEE ALSO
tapset::socket(3stap)